> ## Documentation Index
> Fetch the complete documentation index at: https://developer.audioshake.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Asset by ID

Fetch a single Asset by its `id`.


## OpenAPI

````yaml GET /assets/{id}
openapi: 3.1.0
info:
  title: AudioShake API
  version: 1.0.0
  description: >-
    API for AI-powered audio source separation, stem extraction, and
    transcription.
  license:
    name: Proprietary
    url: https://www.audioshake.ai/terms
  contact:
    name: AudioShake
    url: https://audioshake.ai
servers:
  - url: https://api.audioshake.ai
security:
  - apiKey: []
tags:
  - name: assets
    description: Audio and media file assets managed by AudioShake
  - name: tasks
    description: Stem separation, source separation, and transcription alignment tasks
paths:
  /assets/{id}:
    get:
      tags:
        - assets
      summary: Get Asset by ID
      operationId: getAsset
      parameters:
        - schema:
            minLength: 3
            maxLength: 60
            type: string
          in: path
          name: id
          required: true
          description: Unique identifier of the Asset
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    description: >-
                      Unique identifier of the Asset. Use this id in the assetId
                      field when creating a Task.
                    type: string
                  format:
                    description: Format of the Asset
                    type: string
                  name:
                    description: Name of the Asset
                    type: string
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````